View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.PayPalJWT PayPal-supplied JWT token for authenticating merchant API requests.
Important: These JWT tokens are issued and managed by PayPal, not generated by merchants. PayPal provides these tokens to authenticate calls to your merchant API endpoints.
Usage:
Example:
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
available_shipping_optionsobject<ShippingOption>[]Optionalpriceobject<Money>RequiredvaluestringRequiredpriceobject<Money>OptionalvaluestringRequiredgift_optionsobject<GiftOptions>Optionaldelivery_datestringOptionalcustomerobject<Customer>Optionalcountry_codestringRequirednational_numberstringRequiredemail_addressstringOptionalshipping_addressobject<ShippingAddress>Optionaladmin_area_1stringOptionalbilling_addressobject<BillingAddress>Optionaladmin_area_1stringOptionalpayment_methodobject<PaymentMethod>Optionalcheckout_fieldsobject<CheckoutField>[]OptionaltypeenumRequiredstatusenumRequiredvalidation_issueobject<ValidationIssue>Optionalspecific_issueenumOptionalspecific_issueenumOptionalspecific_issueenumOptionalspecific_issueenumOptionalresolution_optionsobject<ResolutionOption>[]OptionalactionenumRequiredcouponsobject<Coupon>[]Optionalgeo_coordinatesobject<GeoCoordinates>Optionalapplication/json
application/json
application/json
application/json
curl -X POST "https://example.com/merchant-cart" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..." \ -H "Content-Type: application/json" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "variant_id": "SHIRT-BASIC-001", "quantity": 1 } ], "payment_method": { "type": "paypal" } }'{ "id": "CART-MIN-001", "status": "CREATED", "validation_status": "VALID", "validation_issues": [], "items": [ { "variant_id": "SHIRT-BASIC-001", "quantity": 1 } ], "payment_method": { "type": "paypal", "token": "EC-1A23456789B012345" }, "totals": { "subtotal": { "currency_code": "USD", "value": "19.99" }, "shipping": { "currency_code": "USD", "value": "4.99" }, "tax": { "currency_code": "USD", "value": "1.82" }, "total": { "currency_code": "USD", "value": "30.30" } }}